Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.generic.ejb
Class EjbDataControlFactoryImpl

`java.lang.Object
oracle.adf.model.generic.DataControlFactoryImpl
oracle.adf.model.generic.ejb.EjbDataControlFactoryImpl`

All Implemented Interfaces:
  oracle.adf.model.DataControlFactory

public class EjbDataControlFactoryImpl
extends DataControlFactoryImpl

Field Summary

Fields inherited from interface oracle.adf.model.DataControlFactory
`APP_PARAM_COOKIE_PROPERTIES, APP_PARAM_ENV_INFO, APP_PARAM_HTTP_SESSION, APP_PARAM_POOL_PROPERTIES, APP_PARAM_REQUEST_CONTEXT, APP_PARAMS_BINDING_CONTEXT`

Constructor Summary
`EjbDataControlFactoryImpl()`

Method Summary
`protected DCGenericDataControl` | `createDataControl(java.lang.String name, java.lang.String beanClass, java.lang.Object beanInstance, boolean root)` Override this method to supply custom generic-based data control

Methods inherited from class oracle.adf.model.generic.DataControlFactoryImpl
`createSession, createSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbDataControlFactoryImpl

    public EjbDataControlFactoryImpl()

Method Detail

### createDataControl

    protected DCGenericDataControl createDataControl(java.lang.String name,
                                                     java.lang.String beanClass,
                                                     java.lang.Object beanInstance,
                                                     boolean root)

  Description copied from class: `DataControlFactoryImpl`
  Override this method to supply custom generic-based data control
  Overrides:
    `createDataControl` in class `DataControlFactoryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.